# SCM-Helper
Helper tool for [Swim Club Manager](https://www.swimclubmanager.co.uk/).

[![CodeFactor](https://www.codefactor.io/repository/github/colinrobbins/scm-helper/badge)](https://www.codefactor.io/repository/github/colinrobbins/scm-helper)
[![DeepSource](https://deepsource.io/gh/ColinRobbins/scm-helper.svg/?label=active+issues&show_trend=true&token=GfFGxV7M9Pcu6PBd1k5joIlX)](https://deepsource.io/gh/ColinRobbins/scm-helper/?ref=repository-badge)
[![Pylint](https://github.com/ColinRobbins/scm-helper/actions/workflows/pylint.yml/badge.svg)](https://github.com/ColinRobbins/scm-helper/actions/workflows/pylint.yml)


Download latest [Windows Version](https://github.com/ColinRobbins/scm-helper/raw/main/download/scm.zip).
# Features
* Works on [Windows](https://github.com/ColinRobbins/scm-helper/wiki/Windows-Installation), [Linux](https://github.com/ColinRobbins/scm-helper/wiki/Linux-Installation) or [Apple](https://github.com/ColinRobbins/scm-helper/wiki/Apple-Installation) devices
* [Backup and Restore](https://github.com/ColinRobbins/scm-helper/wiki/Backup-and-Restore) of SCM data
* Verification of member details
* Check session and group consistency
* Check consistency of [Swim England](https://github.com/ColinRobbins/scm-helper/wiki/Swim-England) registrations
* Check [Facebook](https://github.com/ColinRobbins/scm-helper/wiki/Facebook) group members are club members
* Automatic [fixing](https://github.com/ColinRobbins/scm-helper/wiki/Fixing) of some errors
* Generation of [swimming records](https://github.com/ColinRobbins/scm-helper/wiki/Records)
* Generation of [email lists](https://github.com/ColinRobbins/scm-helper/wiki/Email-Lists) based on group/class/gender/age
* Report on DBS and Safeguarding issue
* Report on swimmers not attending
* Report on swimmers whose confirmation of details has expired
* Fully [configurable](https://github.com/ColinRobbins/scm-helper/wiki/Configuration) (without programming skills)
# Documentation
See [documentation](https://github.com/ColinRobbins/scm-helper/wiki) on GitHub for installation and usage instructions.
# Change Log
See [changelog](https://github.com/ColinRobbins/scm-helper/blob/master/CHANGELOG.md)
## Author
* [Colin Robbins](https://github.com/ColinRobbins)
